Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.franz.agjena
Class AllegroGraphReasoner

    java.lang.Object
      com.franz.agjena.AllegroGraphReasoner

    public class AllegroGraphReasoner

extends java.lang.Object

Constructor Summary
`AllegroGraphReasoner()`

Method Summary
`void` | `addDescription(Model arg0, Resource arg1)`
`InfGraph` | `bind(Graph baseGraph)` Attach the reasoner to a set of RDF data to process.
`Reasoner` | `bindSchema(Graph arg0)`
`Capabilities` | `getGraphCapabilities()`
`Model` | `getReasonerCapabilities()`
`void` | `setDerivationLogging(boolean arg0)`
`void` | `setParameter(Property arg0, java.lang.Object arg1)`
`boolean` | `supportsProperty(Property arg0)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllegroGraphReasoner

    public AllegroGraphReasoner()

Method Detail

### addDescription

    public void addDescription(Model arg0,
                               Resource arg1)

### bind

    public InfGraph bind(Graph baseGraph)
                  throws ReasonerException

  Attach the reasoner to a set of RDF data to process. The reasoner may already have been bound to specific rules or ontology axioms (encoded in RDF) through earlier bindRuleset calls.

  Parameters:
    `baseGraph` - the RDF data to be processed, some reasoners may restrict the range of RDF which is legal here (e.g. syntactic restrictions in OWL).
  Returns:
    an inference graph through which the data+reasoner can be queried.
  Throws:
    `ReasonerException` - if the data is ill-formed according to the constraints imposed by this reasoner.

### bindSchema

    public Reasoner bindSchema(Graph arg0)
                        throws ReasonerException

  Throws:
    `ReasonerException`

### getGraphCapabilities

    public Capabilities getGraphCapabilities()

### getReasonerCapabilities

    public Model getReasonerCapabilities()

### setDerivationLogging

    public void setDerivationLogging(boolean arg0)

### setParameter

    public void setParameter(Property arg0,
                             java.lang.Object arg1)

### supportsProperty

    public boolean supportsProperty(Property arg0)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD